Package: reportbug
Version: 6.6.3
Severity: normal

When I am trying to report bug for pgbouncer package, reportbug crashes. I am 
using console
version of reportbug, and it looks like this:

$ reportbug pgbouncer
*** Welcome to reportbug.  Use ? for help at prompts. ***
Note: bug reports are publicly archived (including the email address of the 
Detected character set: UTF-8
Please change your locale if this is incorrect.

Using 'Nikolay Shaplov <>' as your from address.
Getting status for pgbouncer...
Checking for newer versions at madison, and

Your version (1.5.4-6+deb8u1) of pgbouncer appears to be out of date.
The following newer release(s) are available in the Debian archive:
  stretch: 1.7.2-1
  unstable: 1.7.2-1
Do you still want to file a report [y|N|q|?]? y
Will send report to Debian (per lsb_release).
Querying Debian BTS for reports on pgbouncer (source)...
1 bug report found:

Bugs with severity important
  1) #813487  pgbouncer: Upgrading pgbouncer drops connections when run with 
(1-1/1) Is the bug you found listed above [y|N|b|m|r|q|s|f|e|?]? 
Maintainer for pgbouncer is 'Debian PostgreSQL Maintainers 
Looking up dependencies of pgbouncer...
Getting changed configuration files...
Traceback (most recent call last):
  File "/usr/bin/reportbug", line 2211, in <module>
  File "/usr/bin/reportbug", line 1081, in main
    return iface.user_interface()
  File "/usr/bin/reportbug", line 1820, in user_interface
    conftext = conftext + u'%s %s\n' % (f, confinfo[f])
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 11: 
ordinal not in range(128)

For other packages bugreport works well. I am reporting this bug using same 
bugreport utility right now.

-- Package-specific info:
** Environment settings:

** /home/nataraj/.reportbugrc:
reportbug_version "6.6.3"
mode advanced
ui text
realname "Nikolay Shaplov"
email ""
header "X-Debbugs-CC:"

-- System Information:
Debian Release: 8.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.16.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages reportbug depends on:
ii  apt     
ii  python            2.7.9-1
ii  python-reportbug  6.6.3
pn  python:any        <none>

reportbug recommends no packages.

Versions of packages reportbug suggests:
pn  claws-mail                                 <none>
pn  debconf-utils                              <none>
pn  debsums                                    <none>
pn  dlocate                                    <none>
pn  emacs23-bin-common | emacs24-bin-common    <none>
ii  exim4                                      4.84-8+deb8u2
ii  exim4-daemon-light [mail-transport-agent]  4.84-8+deb8u2
ii  file                                       1:5.22+15-2+deb8u1
ii  gnupg                                      1.4.18-7
pn  python-gtk2                                <none>
pn  python-gtkspell                            <none>
pn  python-urwid                               <none>
pn  python-vte                                 <none>
pn  xdg-utils                                  <none>

Versions of packages python-reportbug depends on:
ii  apt     
ii  python-debian     0.1.27
ii  python-debianbts  1.12
pn  python:any        <none>

python-reportbug suggests no packages.

-- no debconf information

Reportbug-maint mailing list

Reply via email to